
From: Oleg Nesterov <oleg@tv-sign.ru>

Uninlining do_trap() saves 544 bytes in traps.o.  get_cr2() seems to be
unused, remove it.

Signed-off-by: Oleg Nesterov <oleg@tv-sign.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/traps.c |   11 +----------
 1 files changed, 1 insertion(+), 10 deletions(-)

diff -puN arch/i386/kernel/traps.c~uninline-do_trap-remove-get_cr2 arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~uninline-do_trap-remove-get_cr2	Wed Nov 17 13:53:58 2004
+++ 25-akpm/arch/i386/kernel/traps.c	Wed Nov 17 13:53:58 2004
@@ -358,16 +358,7 @@ static inline void die_if_kernel(const c
 		die(str, regs, err);
 }
 
-static inline unsigned long get_cr2(void)
-{
-	unsigned long address;
-
-	/* get the address */
-	__asm__("movl %%cr2,%0":"=r" (address));
-	return address;
-}
-
-static inline void do_trap(int trapnr, int signr, char *str, int vm86,
+static void do_trap(int trapnr, int signr, char *str, int vm86,
 			   struct pt_regs * regs, long error_code, siginfo_t *info)
 {
 	if (regs->eflags & VM_MASK) {
_
